Package ru.bitel.bgbilling.kernel.bgsecure.common.bean

# Class UserRightRule

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.kernel.bgsecure.common.bean.UserRightRule

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`, `ListItem`

public class UserRightRule extends IdTitle

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bitel.common.model.IdTitle

  `IdTitle.Builder, IdTitle.IdTitleBuilder`

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT, title`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UserRightRule()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getModuleId()`
  `int`
  `getRightGroupId()`
  `RightType`
  `getRightType()`
  `String`
  `getRule()`
  `boolean`
  `isActive()`
  `UserRightRule`
  `setActive(boolean active)`
  `UserRightRule`
  `setId(int id)`
  Устанавливает id объекта
  `UserRightRule`
  `setModuleId(int moduleId)`
  `UserRightRule`
  `setRightGroupId(int rightGroupId)`
  `UserRightRule`
  `setRightType(RightType rightType)`
  `UserRightRule`
  `setRule(String rule)`
  `UserRightRule`
  `setTitle(String title)`
  Устанавливает название (описание) объекта

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, to, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### UserRightRule

    public UserRightRule()

- ## Method Details

  - ### getModuleId

    public int getModuleId()

  - ### getRightGroupId

    public int getRightGroupId()

  - ### getRightType

    public RightType getRightType()

  - ### getRule

    public String getRule()

  - ### isActive

    public boolean isActive()

  - ### setActive

    public UserRightRule setActive(boolean active)

  - ### setId

    public UserRightRule setId(int id)
    Description copied from class: `Id`
    Устанавливает id объекта
    Overrides:
      `setId` in class `IdTitle`

  - ### setModuleId

    public UserRightRule setModuleId(int moduleId)

  - ### setRightGroupId

    public UserRightRule setRightGroupId(int rightGroupId)

  - ### setRightType

    public UserRightRule setRightType(RightType rightType)

  - ### setRule

    public UserRightRule setRule(String rule)

  - ### setTitle

    public UserRightRule setTitle(String title)
    Description copied from class: `IdTitle`
    Устанавливает название (описание) объекта
    Overrides:
      `setTitle` in class `IdTitle`